#!/usr/bin/env python

# Sends the email notification that BA has completed and the report posted.

import ConfigParser, os, sys

c = ConfigParser.ConfigParser()
c.read( 'c:\\BuildWatcher\\TestBuildWatcher.ini' )

#prod = c.get( 'Product', 'Project' )
#ver = c.get( 'Product', 'Version' )
ml = c.get( 'Product', 'Mailing_List' )
fn = c.get( 'Product', 'Full_Name' )
sn = c.get( 'Product', 'Short_Name' )

CheckBuild = False
while not CheckBuild:
    ver = raw_input("Enter version number of build: ")
    prod = sn + ver
    build = raw_input("Enter build number: ")
    if os.path.exists('c:\\BuildWatcher\\BuildAcceptance_' + prod + '_build_' + build + '.html'):
        CheckBuild = True
    else:
        print "Build report for " + prod + " build " + build + " not available"

s = file('c:\\BuildWatcher\\BuildAcceptance_' + prod + '_build_' + build + '.html')
status = s.readlines()
status = status[31]
if 'fail but testable' in status:
    status = 'fail but testable'
elif 'pass' in status:
    status = 'pass'
else:
    status = 'fail'
s.close()


#CheckStatus = False
#while not CheckStatus:
#    status = raw_input("Enter build Status(pass, fail, or fail_but_testable): ")
#    if status != 'pass' and status != 'fail' and status != 'fail_but_testable':
#        print "Status not valid please enter pass, fail, or fail_but_testable"
#    else:
#        CheckStatus = True


#f = file( '/cygdrive/c/BuildWatcher/restmp/Status', 'r' )
#status = f.readline()
#f.close()

#f = file( '/cygdrive/c/BuildWatcher/Build', 'r' )
#build = f.readline()
#f.close()

# Write out the file that will be the body of the message
os.chdir( 'c:\\BuildWatcher\\tmp' )
f = file( 'message.txt', 'w' )

subject = 'BA Report %s build %s - %s' % (prod, build, status)
message = '''The Build Acceptance Report for %s build %s has been posted.\n\n
Full details are available at the address below.\n\n
http://components.corp.symantec.com/%s/Build%%20Acceptance/%s%s/BuildAcceptance_%s_build_%s.html\n\n
Summary: %s.\n''' % (fn, build, fn, sn, ver, prod, build, status)

print subject
print message

f.write( message ) 
f.close()

# Pause here for testing to make sure the message.txt is created with all the correct info
# Once this machine goes to the lab remove the prompting...
confirm = raw_input( "Send email notification? " )
if confirm.upper() == 'Y':
    os.system( 'email -s "%s" -r automation.corp.symantec.com -n "Zope Administrator" -f zopeadmin@automation.corp.symantec.com %s@automation.corp.symantec.com < message.txt' % (subject, ml))
#else:
#    sys.exit()
